Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.security
Class PermissionInfo

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.BitHelper
com.tangosol.util.ExternalizableHelper
com.tangosol.net.security.PermissionInfo`

All Implemented Interfaces:
  PortableObject, Externalizable, Serializable

      public class PermissionInfo

extends ExternalizableHelper
implements Externalizable, PortableObject

PermissionInfo holds the information needed to validate and respond to a security related request.

Since:
  Coherence 3.6
Author:
  dag 2009.10.26

Constructor Summary
`PermissionInfo()` Default constructor (required by PortableObject).
`PermissionInfo(ClusterPermission permission, String sServiceName, SignedObject signedPermission, Subject subject)` Construct a PermissionInfo.

Method Summary
`ClusterPermission` | `getPermission()` Return the ClusterPermission object.
`String` | `getServiceName()` Return the service name.
`SignedObject` | `getSignedPermission()` Return the encrypted ClusterPermission object.
`Subject` | `getSubject()` Return the encryptor subject.
`void` | `readExternal(ObjectInput in)`
`void` | `readExternal(PofReader in)` Restore the contents of a user type instance by reading its state using the specified PofReader object.
`void` | `writeExternal(ObjectOutput out)`
`void` | `writeExternal(PofWriter out)` Save the contents of a POF user type instance by writing its state using the specified PofWriter object.

Methods inherited from class com.tangosol.util.BitHelper
`countBits, countBits, countBits, indexOfLSB, indexOfLSB, indexOfLSB, indexOfMSB, indexOfMSB, indexOfMSB, rotateLeft, rotateLeft, rotateLeft, rotateRight, rotateRight, rotateRight, toBitString, toBitString, toBitString`

Constructor Detail

### PermissionInfo

    public PermissionInfo()

  Default constructor (required by PortableObject).

### PermissionInfo

    public PermissionInfo(ClusterPermission permission,
                          String sServiceName,
                          SignedObject signedPermission,
                          Subject subject)

  Construct a PermissionInfo.
  Parameters:
    `permission` - the ClusterPermission
    `sServiceName` - the service name
    `signedPermission` - the encrypted ClusterPermission
    `subject` - the encryptor Subject

Method Detail

### getPermission

    public ClusterPermission getPermission()

  Return the ClusterPermission object.
  Returns:
    the ClusterPermission object

### getServiceName

    public String getServiceName()

  Return the service name.
  Returns:
    the service name

### getSignedPermission

    public SignedObject getSignedPermission()

  Return the encrypted ClusterPermission object.
  Returns:
    the encrypted ClusterPermission

### getSubject

    public Subject getSubject()

  Return the encryptor subject.
  Returns:
    the encryptor subject

### readExternal

    public void readExternal(PofReader in)
                      throws IOException

  Restore the contents of a user type instance by reading its state using the specified PofReader object.
  Specified by:
    `readExternal` in interface `PortableObject`
  Parameters:
    `in` - the PofReader from which to read the object's state
  Throws:
    `IOException` - if an I/O error occurs

### writeExternal

    public void writeExternal(PofWriter out)
                       throws IOException

  Save the contents of a POF user type instance by writing its state using the specified PofWriter object.
  Specified by:
    `writeExternal` in interface `PortableObject`
  Parameters:
    `out` - the PofWriter to which to write the object's state
  Throws:
    `IOException` - if an I/O error occurs

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.